﻿
using System;
using Wisej.Web;

namespace Test
{
    public partial class Window1 : Form
    {
        
        LaBoWebDAL.HelperClasses.EntityCollection<LaBoWebDAL.EntityClasses.MovimientoEntity> Items = new LaBoWebDAL.HelperClasses.EntityCollection<LaBoWebDAL.EntityClasses.MovimientoEntity>();
        public Window1()
        {
            InitializeComponent();
            LoadData();
            bsDatos.DataSource = Items;
        }

        private void LoadData()
        {
            LaBoWebDAL.EntityClasses.MovimientoEntity Item = new LaBoWebDAL.EntityClasses.MovimientoEntity();
            Item.Id = 1;
            Item.Inicial = false;
            Item.Litros = 100;
            Item.Operacion = null;
            Item.OperacionId = 0;
            Item.PorcentajeAlcohol = 12;
            Item.DepositoCodigo = "D01";
            Item.Desechos = 15;
            Item.Fecha = DateTime.Now;
            Items.Add(Item);

            Item = new LaBoWebDAL.EntityClasses.MovimientoEntity();
            Item.Id = 2;
            Item.Inicial = false;
            Item.Litros = 425;
            Item.Operacion = null;
            Item.OperacionId = 0;
            Item.PorcentajeAlcohol = 10;
            Item.DepositoCodigo = "D02";
            Item.Desechos = 5;
            Item.Fecha = DateTime.Now;
            Items.Add(Item);

            Item = new LaBoWebDAL.EntityClasses.MovimientoEntity();
            Item.Id = 3;
            Item.Inicial = false;
            Item.Litros = 1000;
            Item.Operacion = null;
            Item.OperacionId = 0;
            Item.PorcentajeAlcohol = 20;
            Item.DepositoCodigo = "D03";
            Item.Desechos = 25;
            Item.Fecha = DateTime.Now;
            Items.Add(Item);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            LaBoWebDAL.EntityClasses.MovimientoEntity _item = (LaBoWebDAL.EntityClasses.MovimientoEntity)bsDatos.Current;
            MovimientoEditor _editor = new MovimientoEditor(_item);
            _editor.Closed += new System.EventHandler(this.Editor_ClosedVerMovimiento);
            _editor.ShowDialog();
        }

        //Cerrar editor de depositos al hacer un ver
        private void Editor_ClosedVerMovimiento(object sender, EventArgs e)
        {
            MovimientoEditor _editor = sender as MovimientoEditor;
            if (_editor.DialogResult == Wisej.Web.DialogResult.OK)
            {
                if (_editor.Movimiento.Fields.State == SD.LLBLGen.Pro.ORMSupportClasses.EntityState.Deleted)
                {
                    Items.Remove((LaBoWebDAL.EntityClasses.MovimientoEntity)bsDatos.Current);

                }
                else
                {
                    ((LaBoWebDAL.EntityClasses.MovimientoEntity)bsDatos.Current).Fields = _editor.Movimiento.Fields.Clone();
                }
            }
        }

    }
}
